;================================
;          ZX-Assembler-2 
;      by Artic Computing LTD
;================================
ORG +20500
@DFile=400C

	JR Up
	JR Delay
;=======================
;Scroll Up
;=======================
@Up
	LD HL,(DFile)
	LD D,H
	LD E,L
	LD BC,0021 
	ADD HL,BC 
	LD BC,02F7 			;759, full screen scroll
	LDIR
	LD C,21				;Row count
	SBC HL,BC			;Clear last row
	LD C,B				;C=0
	LD B,20 			;Byte count, 32
@CLRChr
	INC HL 
	LD (HL),C
	DJNZ CLRchr
;=======================
;Delay
;=======================
@Delay
	LD B,30
        LD C,01		 		;Delay Loop
	DEC BC 				;Delay
	LD A,B 
	OR C 
	JR NZ -5
	RET
